<?php
ini_set('memory_limit', '1024M');
include("conexion/conexion.php");
	class export_txt{
		function crear_csv($nombre_file,$reg,$est,$dev){
				 $this->conexionObj2=new conexion();
				 $this->conexionObj2->conectarse();
				 unset($add);
				 unset($titulos);
$area_ordenes='';
$campos_consulta='';
if($_SESSION['area']!='0'){
	$area_ordenes=' and especial2 in('.$_SESSION['area'].') ';
	$campos_consulta='Guia,Direccion,Ciudad,especial1,g.Orden,cod_zona,especial2';
	$titulos='Guia;Direccion;Ciudad;Barrio;Orden;Zona;Area';
	 $elCSV ='Guia;Direccion;Ciudad;Barrio;Orden;Zona;Area';
}else{
	$campos_consulta=$_SESSION['campos_consulta'];
	$titulos=$_SESSION['titulos'];
	 $elCSV = $_SESSION['header'];
}
				
				 $elCSV .= "\r\n";
				 $csvName =$nombre_file.".csv";
                                         //"Reporte_". date('Ymd') .".csv";
					//exec("chmod 777 export_cvs.php");
				 $fileHandle = fopen($csvName, 'w') or die('NO SE CREO EL ARCHIVO .CSV, INTENTE MAS TARDE.');

				 
				 if($reg==2){
					if($est=='T'){
					   $add=$_SESSION['sadd1'];
					}elseif($dev==0){
					   $add=$_SESSION['sadd1'];
			 		   $add=$add." AND g.id_estado='$est'";
					}else{
					   $add=$_SESSION['sadd2'];
					   $add=$add." AND g.id_devolucion='$dev'";
					}
				  }
				
					//echo "SELECT $campos_consulta FROM guias_proceso $add";
				  //echo "SELECT $campos_consulta FROM guias_proceso  $add".$area_ordenes;
		$rst_csv=$this->conexionObj2->consultar("SELECT $campos_consulta FROM guias_proceso  $add".$area_ordenes);
				while($row_csv=mysql_fetch_array($rst_csv)){
				 for($j=0; $j<=21;$j++){
					if($j==0){
					   $elCSV .= $row_csv[0];
					}else{
				       $elCSV .= ";".$row_csv[$j];
			  		}
	
    			 }
				 $elCSV .= "\n";
				 //fwrite($fileHandle, $elCSV);
				}
				fclose($fileHandle);
                header('Content-Type: application/csv');
    			header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
    			header('Last-Modified: '.date('D, d M Y H:i:s'));
    			header('Content-Disposition: attachment; filename="'.$csvName.'"');
    			echo($elCSV);
				return $csvName;
		}
	}
	$export_txtObj=new export_txt();
	$csvName=$export_txtObj->crear_csv($_GET['nomcsv'],$_GET['registro'],$_GET['estado'],$_GET['dev']);
	//exec("chmod 777 $csvName");
	//exec("rm $csvName");	
?>
